org.jacoco.core.internal.flow

## Class ClassProbesVisitor

- java.lang.Object
- - org.objectweb.asm.ClassVisitor
  - - org.jacoco.core.internal.flow.ClassProbesVisitor

Direct Known Subclasses:
  ClassAnalyzer, ClassInstrumenter

    public abstract class ClassProbesVisitor
    extends org.objectweb.asm.ClassVisitor

A `ClassVisitor` with additional methods to get probe insertion information for each method

### Field Summary

### Fields inherited from class org.objectweb.asm.ClassVisitor

`api, cv`

### Constructor Summary

Constructors
Constructor and Description
`ClassProbesVisitor()` New visitor instance without delegate visitor.
`ClassProbesVisitor(org.objectweb.asm.ClassVisitor cv)` New visitor instance that delegates to the given visitor.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract MethodProbesVisitor` `visitMethod(int access, String name, String desc, String signature, String[] exceptions)` When visiting a method we need a `MethodProbesVisitor` to handle the probes of that method.
`abstract void` `visitTotalProbeCount(int count)` Reports the total number of encountered probes.

### Methods inherited from class org.objectweb.asm.ClassVisitor

`visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitModule, visitOuterClass, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassProbesVisitor

    public ClassProbesVisitor()

New visitor instance without delegate visitor.

#### ClassProbesVisitor

    public ClassProbesVisitor(org.objectweb.asm.ClassVisitor cv)

New visitor instance that delegates to the given visitor.

Parameters:
  `cv` - optional next visitor in chain

### Method Detail

#### visitMethod

    public abstract MethodProbesVisitor visitMethod(int access,
                                                    String name,
                                                    String desc,
                                                    String signature,
                                                    String[] exceptions)

When visiting a method we need a `MethodProbesVisitor` to handle the probes of that method.

Overrides:
  `visitMethod` in class `org.objectweb.asm.ClassVisitor`

#### visitTotalProbeCount

    public abstract void visitTotalProbeCount(int count)

Reports the total number of encountered probes. For classes this method is called just before `ClassVisitor.visitEnd()`. For interfaces this method is called before the first method (the static initializer) is emitted.

Parameters:
  `count` - total number of probes